defaultVaultConnection:
  enabled: true
  address: "https://vault.service.consul:8200"
  skipTLSVerify: false
  caCertSecret: "vault-ca-cert"

defaultAuthMethod:
  enabled: true
  method: "kubernetes"
  mount: "k8s/au/syd1"
  namespace: ""
  kubernetes:
    role: "default"
    serviceAccount: "vault-secrets-operator-controller-manager"
    tokenAudiences: ["vault"]

controller:
  replicas: 3
  resources:
    limits:
      cpu: 500m
      memory: 256Mi
    requests:
      cpu: 50m
      memory: 128Mi

globalVaultAuth:
  enabled: true
